MooseX::Getopt::Basic(3)

NAME
MooseX::Getopt::Basic - MooseX::Getopt::Basic - role to implement the Getopt::Long functionality

SYNOPSIS
  ## In your class
  package My::App;
  use Moose;

  with 'MooseX::Getopt::Basic';

  has 'out' => (is => 'rw', isa => 'Str', required => 1);
  has 'in'  => (is => 'rw', isa => 'Str', required => 1);

  # ... rest of the class here

  ## in your script
  #!/usr/bin/perl

  use My::App;

  my $app = My::App->new_with_options();
  # ... rest of the script here

  ## on the command line
  % perl my_app_script.pl --in file.input --out file.dump

DESCRIPTION
This is like MooseX::Getopt and can be used instead except that it doesn't make use of Getopt::Long::Descriptive (or "GLD" for short).

METHODS

  new_with_options
See "new_with_options" in MooseX::Getopt.

  process_argv
See "process_agv" in MooseX::Getopt.

AUTHORS

•   Stevan Little <stevan@iinteractive.com>

•   Brandon L. Black <blblack@gmail.com>

•   Yuval Kogman <nothingmuch@woobling.org>

•   Ryan D Johnson <ryan@innerfence.com>

•   Drew Taylor <drew@drewtaylor.com>

•   Tomas Doran <bobtfish@bobtfish.net>

•   Florian Ragwitz <rafl@debian.org>

•   Dagfinn Ilmari Mannsaaker <ilmari@ilmari.org>

•   var Arnfjoerd` Bjarmason <avar@cpan.org>

•   Chris Prather <perigrin@cpan.org>

•   Karen Etheridge <ether@cpan.org>

•   Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Infinity Interactive, Inc.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.